//By Mogcid
events.listen('recipes', event => {
event.custom({
  "type": "exnihilosequentia:sieve",
  "rolls": [
    {
      "chance": 0.05,
      "mesh": "flint"
    },
    {
      "chance": 0.075,
      "mesh": "iron"
    },
    {
      "chance": 0.1,
      "mesh": "diamond"
    }
  ],
  "input": {
    "item": 'minecraft:soul_sand'
  },
  "result": {
    "item": 'mysticalagriculture:soulium_dust'
  }
})
  event.custom({
   "type": "mysticalagriculture:infusion",
  "input": {
    "item": 'mysticalagriculture:prosperity_seed_base'
  },
  "ingredients": [
    {
      "item": 'mysticalagriculture:inferium_essence'
    },
    {
      "item": 'industrialforegoing:dryrubber'
    },
    {
      "item": 'mysticalagriculture:inferium_essence'
    },
    {
      "item": 'industrialforegoing:dryrubber'
    },
	 {
      "item": 'mysticalagriculture:inferium_essence'
    },
	 {
      "item": 'industrialforegoing:dryrubber'
    },
	 {
      "item": 'mysticalagriculture:inferium_essence'
    },
    {
      "item": 'industrialforegoing:dryrubber'
    }
  ],
  "result": {
    "item": 'mysticalagriculture:rubber_seeds'
  }
})

event.shaped('6x industrialforegoing:plastic', [
  ' a ',
  ' a ',
  ' a '
], {
  a: 'mysticalagriculture:rubber_essence',
})
event.shaped('minecraft:sponge', [
  'aba',
  'bca',
  'aba'
], {
  a: 'minecraft:prismarine_shard',
  b: 'minecraft:prismarine_crystals',
  c: 'minecraft:pufferfish'
})
event.shaped('mysticalagriculture:soulstone', [
  'aaa',
  'a a',
  'aaa'
], {
  a: 'mysticalagriculture:soulium_dust',
})
//apatite seed
event.recipes.botanypots.crop({
  seed: {
      item: 'mysticalagriculture:apatite_seeds',
  },
  categories: ["prudentium"],
  growthTicks: 4200,
  display: {
      block: "mysticalagriculture:cobalt_crop",
      properties: {
          age: 7,
      },
  },
  results: [
      {
          chance: 0.75,
          output: {
              item: 'mysticalagriculture:apatite_essence',
          },
          minRolls: 1,
          maxRolls: 1,
      },
      {
          chance: 0.05,
          output: {
              item: 'mysticalagriculture:apatite_seeds',
          },
          minRolls: 1,
          maxRolls: 1,
      },
      {
          chance: 0.01,
          output: {
              item: "mysticalagriculture:fertilized_essence",
          },
          minRolls: 1,
          maxRolls: 1,
      },
  ],
});
//copper seed
event.recipes.botanypots.crop({
  seed: {
      item: 'mysticalagriculture:copper_seeds',
  },
  categories: ["prudentium"],
  growthTicks: 4200,
  display: {
      block: "mysticalagriculture:cobalt_crop",
      properties: {
          age: 7,
      },
  },
  results: [
      {
          chance: 0.75,
          output: {
              item: 'mysticalagriculture:copper_essence',
          },
          minRolls: 1,
          maxRolls: 1,
      },
      {
          chance: 0.05,
          output: {
              item: 'mysticalagriculture:copper_seeds',
          },
          minRolls: 1,
          maxRolls: 1,
      },
      {
          chance: 0.01,
          output: {
              item: "mysticalagriculture:fertilized_essence",
          },
          minRolls: 1,
          maxRolls: 1,
      },
  ],
});
//steel seed
event.recipes.botanypots.crop({
  seed: {
      item: 'mysticalagriculture:steel_seeds',
  },
  categories: ["prudentium"],
  growthTicks: 4200,
  display: {
      block: "mysticalagriculture:cobalt_crop",
      properties: {
          age: 7,
      },
  },
  results: [
      {
          chance: 0.75,
          output: {
              item: 'mysticalagriculture:steel_essence',
          },
          minRolls: 1,
          maxRolls: 1,
      },
      {
          chance: 0.05,
          output: {
              item: 'mysticalagriculture:steel_seeds',
          },
          minRolls: 1,
          maxRolls: 1,
      },
      {
          chance: 0.01,
          output: {
              item: "mysticalagriculture:fertilized_essence",
          },
          minRolls: 1,
          maxRolls: 1,
      },
  ],
});
//Aluminum seed
event.recipes.botanypots.crop({
  seed: {
      item: 'mysticalagriculture:aluminum_seeds',
  },
  categories: ["prudentium"],
  growthTicks: 4200,
  display: {
      block: "mysticalagriculture:cobalt_crop",
      properties: {
          age: 7,
      },
  },
  results: [
      {
          chance: 0.75,
          output: {
              item: 'mysticalagriculture:aluminum_essence',
          },
          minRolls: 1,
          maxRolls: 1,
      },
      {
          chance: 0.05,
          output: {
              item: 'mysticalagriculture:aluminum_seeds',
          },
          minRolls: 1,
          maxRolls: 1,
      },
      {
          chance: 0.01,
          output: {
              item: "mysticalagriculture:fertilized_essence",
          },
          minRolls: 1,
          maxRolls: 1,
      },
  ],
});
//bhc:red_heart
event.shaped('bhc:red_heart', [
  ' a ',
  'aba',
  ' a '
], {
  a: 'minecraft:nether_star',
  b: 'mysticalagradditions:tertium_apple',
})
//bhc:yellow_heart
event.shaped('bhc:yellow_heart', [
  ' a ',
  'aba',
  ' a '
], {
  a: 'minecraft:nether_star',
  b: 'mysticalagradditions:imperium_apple',
})
//bhc:green_heart
event.shaped('bhc:green_heart', [
  ' a ',
  'aba',
  ' a '
], {
  a: 'minecraft:nether_star',
  b: 'mysticalagradditions:supremium_apple',
})
//bhc:blue_heart
event.shaped('bhc:blue_heart', [
  ' a ',
  'aba',
  ' a '
], {
  a: 'minecraft:nether_star',
  b: 'mysticalagradditions:insanium_apple',
})
//totem_of_undying
event.shaped('minecraft:totem_of_undying', [
  ' a ',
  'bcb',
  'ded'
], {
  a: 'minecraft:nether_star',
  b: 'botania:gaia_ingot',
  c: 'minecraft:golden_carrot',
  d: 'cyclic:apple_ender',
  e: 'draconicevolution:draconium_ingot'
})
//Chaotic bee flower
event.shaped('mogcid:chaotic_bee_flower', [
  'aba',
  'bcb',
  'aba'
], {
  a: 'draconicevolution:awakened_core',
  b: 'draconicevolution:chaos_shard',
  c: 'minecraft:dragon_egg'
})
// Resourceful bees lava honeycomb
event.shaped('minecraft:lava_bucket', [
  'abc',
  ' a ',
  '  a'
], {
  a: 'resourcefulbees:lava_honeycomb'
})
//oak wood
event.shaped('16x minecraft:oak_log', [
  'aaa',
  '   ',
  '   '
], {
  a: 'resourcefulbees:woody_honeycomb',
})
//dark oak wood
event.shaped('16x minecraft:dark_oak_log', [
  'a  ',
  ' aa',
  '   '
], {
  a: 'resourcefulbees:woody_honeycomb',
})
//birsh wood
event.shaped('16x minecraft:birch_log', [
  '  a',
  '  a',
  '  a'
], {
  a: 'resourcefulbees:woody_honeycomb',
})
//jungle wood
event.shaped('16x minecraft:jungle_log', [
  'a  ',
  ' a ',
  'a  '
], {
  a: 'resourcefulbees:woody_honeycomb',
})
//acacia wood
event.shaped('16x minecraft:acacia_log', [
  ' a ',
  ' a ',
  '  a'
], {
  a: 'resourcefulbees:woody_honeycomb',
})
//Silicon essence to silicon refined
event.shaped('8x refinedstorage:silicon', [
  ' a ',
  ' a ',
  ' a '
], {
  a: 'mysticalagriculture:silicon_essence',
})
//RGB Bee
events.listen('recipes', function (e) {

  var cuShaped = e.recipes.cucumber.shaped_no_mirror

  function dyeShaped(result, pattern) {
    cuShaped({
      'pattern': pattern,
      'key': {
        'C': {
          'item': 'resourcefulbees:rgbee_honeycomb'
        }
      },
      'result': {
        'item': result,
        'count': 6
      }
    })
  }
  dyeShaped('minecraft:red_dye', ['  C',' C ',' C '])
  dyeShaped('minecraft:green_dye', ['  C','CC ','   '])
  dyeShaped('minecraft:purple_dye', ['  C','  C',' C '])
  dyeShaped('minecraft:cyan_dye', ['C C',' C ','   '])
  dyeShaped('minecraft:light_gray_dye', [' C ',' C ','  C'])
  dyeShaped('minecraft:gray_dye', ['  C',' C ','C  '])
  dyeShaped('minecraft:pink_dye', ['C  ',' C ','  C'])
  dyeShaped('minecraft:lime_dye', ['  C','  C','  C'])
  dyeShaped('minecraft:yellow_dye', [' C ',' C ',' C '])
  dyeShaped('minecraft:light_blue_dye', ['C  ','C  ','C  '])
  dyeShaped('minecraft:magenta_dye', ['   ','   ','CCC'])
  dyeShaped('minecraft:orange_dye', ['   ','CCC','   '])
  dyeShaped('minecraft:blue_dye', ['   ',' C ','C C'])
  dyeShaped('minecraft:brown_dye', ['  C',' C ','  C'])
  dyeShaped('minecraft:black_dye', ['   ','CC ','  C'])
  dyeShaped('minecraft:white_dye', ['CCC','   ','   '])
  
    })
})
onEvent('recipes', event => {
  //Doll Basalz
  event.remove({output: 'exnihilosequentia:doll_basalz'})
  event.shaped('exnihilosequentia:doll_basalz', [
    'aba',
    'ece',
    'ada'
  ], {
    a: '#forge:dusts/obsidian',
	b: 'minecraft:redstone',
    c: 'exnihilosequentia:doll_crafting',
    d: 'minecraft:nether_wart',
	e: 'minecraft:glowstone_dust'
  })
   //projectex stone table
   event.remove({output: 'projectex:stone_table'})
  
})
